Bug 1010001 - Sometimes the editor is blank
Sometimes the editor is blank
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER3
: ---
Assigned To: Rob Cernich
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 12:37 EDT by Brian Fitzpatrick
Modified: 2015-08-02 19:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 417615 None None None Never
JBoss Issue Tracker SWITCHYARD-1709 Major Closed Sometimes the editor is blank 2014-06-16 19:52:52 EDT

  None (edit)
Description Brian Fitzpatrick 2013-09-19 12:37:53 EDT
Description of problem:
After creating a switchyard project, the switchyard editor is opened. Sometimes, this editor is blank (see the attachment) and no component can be added.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Brian Fitzpatrick 2013-09-19 12:40:24 EDT
Ok, so this turns out to be an issue with the preferences implementation in the BPMN2 Editor. In a new workspace with SOA & FUSE installed from JBTIS, we see this in the error log:

{code}
!ENTRY org.eclipse.emf.validation 4 114 2013-09-19 07:50:52.482
!MESSAGE Client context org.eclipse.bpmn2.modeler.core.validationContext failed with a run-time exception. It is disabled; its constraint bindings are removed from the system.
!STACK 0
java.lang.NullPointerException
        at org.eclipse.bpmn2.modeler.core.preferences.Bpmn2Preferences.getInstance(Bpmn2Preferences.java:227)
        at org.eclipse.bpmn2.modeler.core.preferences.Bpmn2Preferences.getInstance(Bpmn2Preferences.java:212)
        at org.eclipse.bpmn2.modeler.core.preferences.Bpmn2Preferences.getInstance(Bpmn2Preferences.java:208)
        at org.eclipse.bpmn2.modeler.core.validation.ResourcePropertyTester.test(ResourcePropertyTester.java:18)
        at org.eclipse.core.internal.expressions.Property.test(Property.java:58)
        at org.eclipse.core.internal.expressions.TestExpression.evaluate(TestExpression.java:99)
        at org.eclipse.core.internal.expressions.CompositeExpression.evaluateOr(CompositeExpression.java:68)
        at org.eclipse.core.internal.expressions.OrExpression.evaluate(OrExpression.java:21)
        at org.eclipse.core.internal.expressions.CompositeExpression.evaluateAnd(CompositeExpression.java:53)
        at org.eclipse.core.internal.expressions.EnablementExpression.evaluate(EnablementExpression.java:53)
        at org.eclipse.emf.validation.internal.util.XmlExpressionSelector.selects(XmlExpressionSelector.java:63)
        at org.eclipse.emf.validation.internal.service.ClientContextManager.getClientContextsFor(ClientContextManager.java:183)
        at org.eclipse.emf.validation.internal.service.LiveValidator.doValidate(LiveValidator.java:95)
        at org.eclipse.emf.validation.internal.service.AbstractValidator.validate(AbstractValidator.java:147)
        at org.eclipse.emf.transaction.impl.ReadWriteValidatorImpl.validate(ReadWriteValidatorImpl.java:221)
        at org.eclipse.emf.transaction.impl.TransactionImpl.validate(TransactionImpl.java:767)
        at org.eclipse.emf.transaction.impl.TransactionImpl.commit(TransactionImpl.java:429)
        at org.eclipse.emf.workspace.AbstractEMFOperation.execute(AbstractEMFOperation.java:155)
        at org.eclipse.core.commands.operations.DefaultOperationHistory.execute(DefaultOperationHistory.java:513)
        at org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl.doExecute(WorkspaceCommandStackImpl.java:208)
        at org.eclipse.emf.transaction.impl.AbstractTransactionalCommandStack.execute(AbstractTransactionalCommandStack.java:165)
        at org.eclipse.graphiti.ui.internal.editor.GFWorkspaceCommandStackImpl.execute(GFWorkspaceCommandStackImpl.java:84)
        at org.eclipse.graphiti.ui.internal.editor.GFCommandStack.execute(GFCommandStack.java:138)
        at org.eclipse.graphiti.ui.editor.DiagramBehavior.executeFeature(DiagramBehavior.java:1084)
        at org.eclipse.graphiti.features.impl.AbstractFeatureProvider.updateIfPossible(AbstractFeatureProvider.java:231)
        at org.eclipse.graphiti.ui.editor.DefaultRefreshBehavior.autoUpdate(DefaultRefreshBehavior.java:139)
        at org.switchyard.tools.ui.editor.impl.SwitchyardSCAEditor$SwitchYardDiagramBehavior$2.autoUpdate(SwitchyardSCAEditor.java:1022)
        at org.eclipse.graphiti.ui.editor.DefaultRefreshBehavior.handleAutoUpdateAtStartup(DefaultRefreshBehavior.java:101)
        at org.eclipse.graphiti.ui.editor.DiagramBehavior.setInput(DiagramBehavior.java:392)
        at org.eclipse.graphiti.ui.editor.DiagramEditor.setInput(DiagramEditor.java:300)
        at org.eclipse.graphiti.ui.editor.DiagramEditor.init(DiagramEditor.java:217)
        at org.switchyard.tools.ui.editor.impl.SwitchyardSCAEditor.init(SwitchyardSCAEditor.java:255)
        at org.eclipse.ui.part.MultiPageEditorPart.addPage(MultiPageEditorPart.java:239)
        at org.switchyard.tools.ui.editor.impl.MultiPageEditor.createDesignEditor(MultiPageEditor.java:544)
        at org.switchyard.tools.ui.editor.impl.MultiPageEditor.createPages(MultiPageEditor.java:765)
        at org.eclipse.ui.part.MultiPageEditorPart.createPartControl(MultiPageEditorPart.java:358)
        at org.eclipse.ui.internal.e4.compatibility.CompatibilityPart.createPartControl(CompatibilityPart.java:142)
        at org.eclipse.ui.internal.e4.compatibility.CompatibilityEditor.createPartControl(CompatibilityEditor.java:96)
        at org.eclipse.ui.internal.e4.compatibility.CompatibilityPart.create(CompatibilityPart.java:323)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
        at java.lang.reflect.Method.invoke(Unknown Source)
        at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:56)
        at org.eclipse.e4.core.internal.di.InjectorImpl.processAnnotated(InjectorImpl.java:877)
        at org.eclipse.e4.core.internal.di.InjectorImpl.processAnnotated(InjectorImpl.java:857)
        at org.eclipse.e4.core.internal.di.InjectorImpl.inject(InjectorImpl.java:119)
        at org.eclipse.e4.core.internal.di.InjectorImpl.internalMake(InjectorImpl.java:333)
        at org.eclipse.e4.core.internal.di.InjectorImpl.make(InjectorImpl.java:254)
        at org.eclipse.e4.core.contexts.ContextInjectionFactory.make(ContextInjectionFactory.java:162)
        at org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.createFromBundle(ReflectionContributionFactory.java:102)
        at org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.doCreate(ReflectionContributionFactory.java:71)
        at org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.create(ReflectionContributionFactory.java:53)
        at org.eclipse.e4.ui.workbench.renderers.swt.ContributedPartRenderer.createWidget(ContributedPartRenderer.java:129)
        at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.createWidget(PartRenderingEngine.java:949)
        at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.safeCreateGui(PartRenderingEngine.java:633)
        at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.safeCreateGui(PartRenderingEngine.java:735)
        at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.access$2(PartRenderingEngine.java:706)
        at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$7.run(PartRenderingEngine.java:700)
        at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
        at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.createGui(PartRenderingEngine.java:685)
        at org.eclipse.e4.ui.internal.workbench.PartServiceImpl$1.handleEvent(PartServiceImpl.java:90)
        at org.eclipse.e4.ui.services.internal.events.UIEventHandler$1.run(UIEventHandler.java:41)
        at org.eclipse.swt.widgets.Synchronizer.syncExec(Synchronizer.java:180)
        at org.eclipse.ui.internal.UISynchronizer.syncExec(UISynchronizer.java:150)
        at org.eclipse.swt.widgets.Display.syncExec(Display.java:4688)
        at org.eclipse.e4.ui.internal.workbench.swt.E4Application$1.syncExec(E4Application.java:205)
        at org.eclipse.e4.ui.services.internal.events.UIEventHandler.handleEvent(UIEventHandler.java:38)
        at org.eclipse.equinox.internal.event.EventHandlerWrapper.handleEvent(EventHandlerWrapper.java:197)
        at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:197)
        at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent(EventHandlerTracker.java:1)
        at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
        at org.eclipse.osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchronous(ListenerQueue.java:148)
        at org.eclipse.equinox.internal.event.EventAdminImpl.dispatchEvent(EventAdminImpl.java:135)
        at org.eclipse.equinox.internal.event.EventAdminImpl.sendEvent(EventAdminImpl.java:78)
        at org.eclipse.equinox.internal.event.EventComponent.sendEvent(EventComponent.java:39)
        at org.eclipse.e4.ui.services.internal.events.EventBroker.send(EventBroker.java:80)
        at org.eclipse.e4.ui.internal.workbench.UIEventPublisher.notifyChanged(UIEventPublisher.java:58)
        at org.eclipse.emf.common.notify.impl.BasicNotifierImpl.eNotify(BasicNotifierImpl.java:374)
        at org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl.setSelectedElement(ElementContainerImpl.java:171)
        at org.eclipse.e4.ui.internal.workbench.ModelServiceImpl.showElementInWindow(ModelServiceImpl.java:576)
        at org.eclipse.e4.ui.internal.workbench.ModelServiceImpl.bringToTop(ModelServiceImpl.java:543)
        at org.eclipse.e4.ui.internal.workbench.PartServiceImpl.delegateBringToTop(PartServiceImpl.java:605)
        at org.eclipse.e4.ui.internal.workbench.PartServiceImpl.activate(PartServiceImpl.java:585)
        at org.eclipse.e4.ui.internal.workbench.PartServiceImpl.activate(PartServiceImpl.java:539)
        at org.eclipse.e4.ui.internal.workbench.PartServiceImpl.activate(PartServiceImpl.java:528)
        at org.eclipse.e4.ui.internal.workbench.PartServiceImpl.showPart(PartServiceImpl.java:1026)
        at org.eclipse.ui.internal.WorkbenchPage.busyOpenEditor(WorkbenchPage.java:3120)
        at org.eclipse.ui.internal.WorkbenchPage.access$21(WorkbenchPage.java:3042)
        at org.eclipse.ui.internal.WorkbenchPage$8.run(WorkbenchPage.java:3024)
        at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
        at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:3020)
        at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:2984)
        at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:2975)
        at org.eclipse.ui.ide.IDE.openEditor(IDE.java:534)
        at org.eclipse.ui.ide.IDE.openEditor(IDE.java:493)
        at org.switchyard.tools.ui.wizards.NewSwitchYardProjectWizard$2$1.run(NewSwitchYardProjectWizard.java:142)
        at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
        at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:135)
        at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4145)
        at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3762)
        at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:173)
        at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:388)
        at org.eclipse.jface.wizard.WizardDialog.run(WizardDialog.java:1028)
        at org.switchyard.tools.ui.wizards.NewSwitchYardProjectWizard.performFinish(NewSwitchYardProjectWizard.java:128)
        at org.eclipse.jface.wizard.WizardDialog.finishPressed(WizardDialog.java:827)
        at org.eclipse.jface.wizard.WizardDialog.buttonPressed(WizardDialog.java:432)
        at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:628)
        at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:248)
        at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
        at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1057)
        at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4170)
        at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3759)
        at org.eclipse.jface.window.Window.runEventLoop(Window.java:826)
        at org.eclipse.jface.window.Window.open(Window.java:802)
        at org.eclipse.ui.internal.navigator.wizards.WizardShortcutAction.run(WizardShortcutAction.java:98)
        at org.eclipse.jface.action.Action.runWithEvent(Action.java:499)
        at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:584)
        at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:501)
        at org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:411)
        at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
        at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1057)
        at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4170)
        at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3759)
        at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$9.run(PartRenderingEngine.java:1113)
        at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
        at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:997)
        at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:138)
        at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:610)
        at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
        at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:567)
        at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:150)
        at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:124)
        at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:354)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:181)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
        at java.lang.reflect.Method.invoke(Unknown Source)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:636)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:591)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1450)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1426)
{code}
Comment 3 Brian Fitzpatrick 2013-09-19 12:42:14 EDT
Bob has a fix for the BPMN2 editor code in the Eclipse git repo that works (tested locally). Waiting for an Eclipse BZ # to link this to.
Comment 4 JBoss JIRA Server 2013-09-23 15:08:08 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> updated the status of jira SWITCHYARD-1709 to Resolved
Comment 5 JBoss JIRA Server 2013-09-23 15:08:08 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1709

This has been resolved with the latest JBTIS update site and Bob's fixes in the BPMN2 Editor (https://bugs.eclipse.org/bugs/show_bug.cgi?id=417615) that have been pulled in.

If not, please reopen and we will look again.
Comment 6 JBoss JIRA Server 2013-09-24 09:00:42 EDT
Andrej Podhradsky <apodhrad@redhat.com> made a comment on jira SWITCHYARD-1709

Unfortunately, this bug wasn't always reproducible, so it cannot be immediately verified. So far, it looks good
Comment 11 JBoss JIRA Server 2014-06-16 19:52:52 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1709 to Closed

Note You need to log in before you can comment on or make changes to this bug.